Problem about compile rti_connext_dds-5.1.0-core-win-src.zip

3 posts / 0 new
Last post
Offline
Last seen: 4 years 11 months ago
Joined: 01/13/2016
Posts: 43
Problem about compile rti_connext_dds-5.1.0-core-win-src.zip

Hi everyone,

    recently, I compile the source code of version 5.1.0 for windows, it run error and the error shows that "NDDS_Config_Version_to_string: !core version is too long". How did I eliminate this error? 

    thanks for any answers.

Organization:
Fernando Garcia's picture
Offline
Last seen: 8 months 3 weeks ago
Joined: 05/18/2011
Posts: 200

Hi,

I think you need to add the following variables to your definitions:

-DRTI_NDDS_VERSION_MAJOR=5 -DRTI_NDDS_VERSION_MINOR=1 -DRTI_NDDS_VERSION_RELEASE=0 -DRTI_NDDS_VERSION_REVISION=00

If this does not solve your problem, can you share the list of -D that you are passing when compiling the 5.1.0 sources?

Thanks,
Fernando.

Offline
Last seen: 4 years 11 months ago
Joined: 01/13/2016
Posts: 43

thanks for your answer, i build success, and it works good